self.addEventListener('push', (event) => {
	if(!(self.Notification && self.Notification.permission === "granted")) return;
	const data = event.data?.json() ?? {};
	self.registration.showNotification(data.title, {
		body: data.message,
		tag: data.title || 'general',
		icon: data.icon || `/favicon.ico`,
		data
	});
});

self.addEventListener('notificationclick', (event) => {
	const data = event.notification.data;
	event.notification.close();
	if (data.link) event.waitUntil(clients.openWindow(data.link));
});
